Ruby DL és Fiddle bővítmények objektum kezeléses sérülékenység

CH azonosító

CH-9211

Angol cím

Ruby DL and Fiddle Tained Object Handling Vulnerability

Felfedezés dátuma

2013.05.14.

Súlyosság

Alacsony

Érintett rendszerek

Ruby

Érintett verziók

Ruby 1.9.x, 2.0.x

Összefoglaló

A Ruby olyan sérülékenységét jelentették, amelyet kihasználva a támadók megkerülhetnek bizonyos biztonsági szabályokat.

Leírás

A sérülékenységet az okozza, hogy a DL és Fiddle bővítmények nem megfelelően ellenőrzik a $SAFE szintjét bizonyos objektumok kezelése során, amely kihasználható hibás karakterláncok (string) továbbítására rendszer hívások részére.

A sérülékenységet a következő verziókban jelentették:

  • ruby 1.9.3 patchlevel 426 előtti ruby 1.9 verziók
  • ruby 2.0.0 patchlevel 195 előtti ruby 2.0 verziók

Megoldás

Frissítsen a legújabb verzióra